/*
 Copyright (c) 2001 sync4j project
 All rights reserved.
 
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:
 
 1. Redistributions of source code must retain the above copyright
    notice, this list of conditions, and the following disclaimer.
 
 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions, and the disclaimer that follows 
    these conditions in the documentation and/or other materials 
    provided with the distribution.

 3. The name "sync4j" must not be used to endorse or promote products
    derived from this software without prior written permission.  
 
 4. Products derived from this software may not be called "sync4j", nor
    may "sync4j" appear in their name, without prior written permission.
 
 In addition, we request (but do not require) that you include in the 
 end-user documentation provided with the redistribution and/or in the 
 software itself an acknowledgement equivalent to the following:

     "This product includes software developed by the
      sync4j project."

 THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 DISCLAIMED.  IN NO EVENT SHALL THE SYNC4J AUTHORS OR THE PROJECT
 CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 SUCH DAMAGE.

 */


package sync4j.framework.core;

import sync4j.framework.core.DTDVersion;
import sync4j.framework.core.ProtocolVersion;
import sync4j.framework.core.xml.Namespace;

/**
 *
 * @author Sean C. Sullivan
 * @author Stefano Fornari @ Funambol
 *
 * @version $Id: Constants.java,v 1.4 2003/11/02 15:08:02 stefano_fornari Exp $
 *
 */
public final class Constants
{
   public static final String MIMETYPE_SYNCML_XML = "application/vnd.syncml+xml";
   public static final String MIMETYPE_SYNCML_WBXML = "application/vnd.syncml+wbxml";
   public static final String MIMETYPE_SYNCML_DEVICEINFO_XML = "application/vnd.syncml-devinf+xml";
   public static final String MIMETYPE_SYNCML_DEVICEINFO_WBXML = "application/vnd.syncml-devinf+wbxml";
   
   public static final Namespace NAMESPACE_METINF = Util.getNamespace("syncml:metinf");
   public static final Namespace NAMESPACE_DEVINF = Util.getNamespace("syncml:devinf");
   
   public static final String AUTH_TYPE_BASIC = "syncml:auth-basic";
   public static final String AUTH_TYPE_CLEAR = "syncml:auth-clear";
   public static final String AUTH_SUPPORTED_TYPES = AUTH_TYPE_BASIC 
                                                   + ',' 
                                                   + AUTH_TYPE_CLEAR;
   
   public static final DTDVersion DTD_1_0 = new DTDVersion("1.0");
   public static final DTDVersion DTD_1_1 = new DTDVersion("1.1");
   
   public static final ProtocolVersion PROT_1_0   = new ProtocolVersion("SyncML/1.0");
   public static final ProtocolVersion PROT_1_1   = new ProtocolVersion("SyncML/1.1");
   public static final ProtocolVersion PROT_1_1_1 = new ProtocolVersion("SyncML/1.1.1");
   
   public static final String FORMAT_B64 = "b64";
  }
