/**
 * Title:        BeanBlue framework - SyncProperty
 * Description:  A SyncBean property
 * Copyright:    Copyright (c) 2001
 * Company:      BeanBlue
 * @author Stefano Fornari
 * @version 1.0
 */

package sync4j.framework.engine;

/**
 * Represents a SyncBean property
 */
public class SyncProperty implements java.io.Serializable {
    
    // -------------------------------------------------------------- Properties
    
    /**
     * The property name
     */
    private String name = null;
    public String getName(){ 
        return this.name;
    }
    
    public void setName(String name){ 
        this.name = name; 
    }
    
    /**
     * The property type
     */
    private String type = null;
    public String getType(){ 
        return type; 
    }
    
    public void setType(String type){ 
        this.type = type; 
    }
    
    /**
     * Is the property a key?
     */
    private boolean key = false;
    public boolean isKey(){ 
        return key; 
    }

    /**
     * The property value
     */
    private Object value = null; 
    public Object getValue(){ 
        return value; 
    }

    public void setValue(Object value){ 
        this.value = value; 
    }
    
    // ------------------------------------------------------------- Contructors
    
    public SyncProperty(String name, Object value) {
        this(name, value, value.getClass().getName());
    }
    
    public  SyncProperty(String name, Object value, String type) {
        this.name  = name;
        this.value = value;
        this.type  = type;
    }
}
