/*
 Copyright (c) 2001 sync4j project
 All rights reserved.
 
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:
 
 1. Redistributions of source code must retain the above copyright
    notice, this list of conditions, and the following disclaimer.
 
 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions, and the disclaimer that follows 
    these conditions in the documentation and/or other materials 
    provided with the distribution.

 3. The name "sync4j" must not be used to endorse or promote products
    derived from this software without prior written permission.  
 
 4. Products derived from this software may not be called "sync4j", nor
    may "sync4j" appear in their name, without prior written permission.
 
 In addition, we request (but do not require) that you include in the 
 end-user documentation provided with the redistribution and/or in the 
 software itself an acknowledgement equivalent to the following:

     "This product includes software developed by the
      sync4j project."

 THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 DISCLAIMED.  IN NO EVENT SHALL THE SYNC4J AUTHORS OR THE PROJECT
 CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 SUCH DAMAGE.

 */

package sync4j.framework.protocol;

/**
 * This interface grups flags used to drive the reading and the creations of 
 * syncml packages.
 *
 * @author  Stefano Fornari @ Funambol
 * @version $Id: Flags.java,v 1.2 2003/01/11 18:06:25 stefano_fornari Exp $
 */
public interface Flags {
    
    public static int HOW_MANY_FLAGS = 6;
    
    /**
     * Generic flags
     */
    public static int FLAG_ALL                    = -1;
    public static int FLAG_ALL_RESPONSES_REQUIRED = -2;
    
    /**
     * Specific flags
     */
    public static int FLAG_SYNC_RESPONSE_REQUIRED          =  0;
    public static int FLAG_MODIFICATIONS_RESPONSE_REQUIRED =  1;
    public static int FLAG_SYNC_STATUS_REQUIRED            =  2;
    public static int FLAG_FINAL_MESSAGE                   =  3;
    
    /**
     * should a deleted item be archived ?
     */
    public static int FLAG_ARCHIVE_DATA                    =  4; 
    
    /**
     * are deletions soft deletions?
     */
    public static int FLAG_SOFT_DELETE                     =  5;
}
