/*
 Copyright (c) 2001-2002-2003 sync4j project
 All rights reserved.

 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:

 1. Redistributions of source code must retain the above copyright
    notice, this list of conditions, and the following disclaimer.

 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions, and the disclaimer that follows
    these conditions in the documentation and/or other materials
    provided with the distribution.

 3. The name "sync4j" must not be used to endorse or promote products
    derived from this software without prior written permission.

 4. Products derived from this software may not be called "sync4j", nor
    may "sync4j" appear in their name, without prior written permission.

 In addition, we request (but do not require) that you include in the
 end-user documentation provided with the redistribution and/or in the
 software itself an acknowledgement equivalent to the following:

     "This product includes software developed by the
      sync4j project."

 THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 DISCLAIMED.  IN NO EVENT SHALL THE SYNC4J AUTHORS OR THE PROJECT
 CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 SUCH DAMAGE.
*/

package sync4j.framework.server;

import java.io.Serializable;
import org.apache.commons.lang.builder.ToStringBuilder;

/**
 * This class represents a user with username and password and a list of roles.
 *
 * @author  Luigia Fassina @ Funambol
 *
 * @version $Id: SyncUser.java,v 1.1 2003/12/23 08:16:07 luigiafassina Exp $
 *
 */
public class SyncUser implements Serializable {

    private String username;
    private String password;
    private String email;
    private String firstname;
    private String lastname;
    private String[] roles;

    /** Creates a new instance of SyncUser */
    public SyncUser() {
        this(null, null, null, null, null, null);
    }

    public SyncUser(String username, String password, String email, String firstname, String lastname, String[] roles) {
        this.username  = username;
        this.password  = password;
        this.email     = email;
        this.firstname = firstname;
        this.lastname  = lastname;
        this.roles  = roles;
    }

    /** Getter for property username.
     * @return Value of property username.
     *
     */
    public String getUsername() {
        return username;
    }

    /** Setter for property username.
     * @param name New value of property username.
     *
     */
    public void setUsername(String username) {
        this.username = username;
    }

    /** Getter for property password.
     * @return Value of property password.
     *
     */
    public String getPassword() {
        return password;
    }

    /** Setter for property password.
     * @param name New value of property password.
     *
     */
    public void setPassword(String password) {
        this.password = password;
    }

    /** Getter for property email.
     * @return Value of property email.
     *
     */
    public String getEmail() {
        return email;
    }

    /** Setter for property email.
     * @param name New value of property email.
     *
     */
    public void setEmail(String email) {
        this.email = email;
    }

    /** Getter for property firstname.
     * @return Value of property firstname.
     *
     */
    public String getFirstname() {
        return firstname;
    }

    /** Setter for property firstname.
     * @param name New value of property firstname.
     *
     */
    public void setFirstname(String firstname) {
        this.firstname = firstname;
    }

    /** Getter for property lastname.
     * @return Value of property lastname.
     *
     */
    public String getLastname() {
        return lastname;
    }

    /** Setter for property lastname.
     * @param name New value of property lastname.
     *
     */
    public void setLastname(String lastname) {
        this.lastname = lastname;
    }

    /** Getter for property roles.
     * @return Value of property roles.
     *
     */
    public String[] getRoles() {
        return roles;
    }

    /** Setter for property roles.
     * @param name New value of property roles.
     *
     */
    public void setRoles(String[] roles) {
        this.roles = roles;
    }

    public String toString() {
        ToStringBuilder sb = new ToStringBuilder(this);

        sb.append("username:",  username);
        sb.append("password:",  password);
        sb.append("email:",     email);
        sb.append("firstname:", firstname);
        sb.append("lastname:",  lastname);

        return sb.toString();
    }

}
