/*

 $Id: Sync4jRequest.java,v 1.2 2002/10/07 21:47:12 stefano_fornari Exp $

 Copyright (c) 2001-2002 sync4j project
 All rights reserved.

 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:

 1. Redistributions of source code must retain the above copyright
    notice, this list of conditions, and the following disclaimer.

 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions, and the disclaimer that follows
    these conditions in the documentation and/or other materials
    provided with the distribution.

 3. The name "sync4j" must not be used to endorse or promote products
    derived from this software without prior written permission.

 4. Products derived from this software may not be called "sync4j", nor
    may "sync4j" appear in their name, without prior written permission.

 In addition, we request (but do not require) that you include in the
 end-user documentation provided with the redistribution and/or in the
 software itself an acknowledgement equivalent to the following:

     "This product includes software developed by the
      sync4j project."

 THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 DISCLAIMED.  IN NO EVENT SHALL THE SYNC4J AUTHORS OR THE PROJECT
 CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 SUCH DAMAGE.

 */


package sync4j.transport.http.server;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

import sync4j.framework.core.*;
import sync4j.framework.server.*;

/**
 *
 *  @author Sean C. Sullivan
 *
 */
public final class Sync4jRequest implements sync4j.framework.server.SyncRequest
{
    private final HttpServletRequest m_httpReq;

    /**
     *
     * @param httpReq must be non-null
     *
     *
     */
    public Sync4jRequest(final HttpServletRequest httpReq)
            // throws ??? exceptions
    {

        if (httpReq == null)
        {
            throw new NullPointerException(
                    "httpReq parameter is null");
        }

        m_httpReq = httpReq;

        // todo : put real code in this constructor

    }


    public int getContentLength()
    {
        return m_httpReq.getContentLength();
    }

    public String getContentType()
    {
        return m_httpReq.getContentType();
    }

    public InputStream getInputStream()
            throws java.io.IOException
    {
        return m_httpReq.getInputStream();
    }

}
