--
-- this script contains the ddl to create the engine database.
--
-- @author stefano fornari @ funambol
--
-- @version $id: create_engine.ddl,v 1.2 2003/06/05 16:55:24 stefano_fornari exp $
--

create table sync4j_principal
(
  username    varchar(32) not null,
  device      varchar(50) not null,
  principalid varchar(10) not null,
  
  constraint pk_syncj_principal primary key (principalid)
);



create table sync4j_user
(
  username   varchar(32) not null,
  email      varchar(50),
  first_name varchar(15),
  last_name  varchar(15),
  
  constraint pk_sync4j_user primary key (username)
);



create table sync4j_device
(
  deviceid    varchar(50 ) not null,
  description varchar(128),
  type        varchar(20 ),
  
  constraint pk_sync4j_device primary key (deviceid)
);



create table sync4j_sync_source
(
  uri    varchar(128) not null,
  config varchar(255) not null,
  
  constraint pk_sync4j_sync_source primary key (uri)
);



create table sync4j_last_sync
(
  principal   varchar(10 ) not null,
  sync_source varchar(128) not null,
  last_anchor varchar(20 ),
  start_sync  timestamp,
  end_sync    timestamp,
  
  constraint pk_sync4j_last_sync primary key (principal, sync_source)
);



create table sync4j_client_mapping
(
  principal   varchar(10 ) not null,
  sync_source varchar(128) not null,
  luid        varchar(200) not null,
  guid        varchar(200) not null,
  
  constraint pk_clientmapping primary key (principal, sync_source, luid, guid)
);
