--
-- This script contains the ddl to create the engine database,
--   as created with dbschema from ids921uc42.
--
-- @author Hoyte Swager @ DigiDoc
--
-- @version $Id: create_engine.ddl,v 1.5 2003/07/31 20:01:26 stefano_fornari Exp $
--

create table sync4j_principal 
  (
    username varchar(32) not null ,
    device varchar(50) not null ,
    principalid varchar(10) not null ,
    primary key (principalid)  constraint pk_syncj_principal
  );

create table sync4j_user 
  (
    username varchar(32) not null ,
    email varchar(50),
    first_name varchar(15),
    last_name varchar(15),
    primary key (username)  constraint pk_sync4j_user
  );

create table sync4j_device 
  (
    deviceid varchar(50) not null ,
    description varchar(128),
    type varchar(20),
    primary key (deviceid)  constraint pk_sync4j_device
  );

create table sync4j_sync_source 
  (
    uri varchar(128) not null ,
    config varchar(255) not null,
    primary key (uri)  constraint pk_sync4j_sync_source
  );

create table sync4j_last_sync 
  (
    principal varchar(10) not null ,
    sync_source varchar(128) not null ,
    last_anchor varchar(20),
    start_sync datetime year to second,
    end_sync datetime year to second,
    primary key (principal,sync_source)  constraint pk_sync4j_last_sync
  );

create table sync4j_client_mapping 
  (
    principal varchar(10) not null ,
    sync_source varchar(128) not null ,
    luid varchar(200),
    guid varchar(200),
    primary key (principal,sync_source,luid,guid)  constraint pk_clientmapping
  );

alter table sync4j_principal add constraint (foreign 
    key (username) references sync4j_user  constraint 
    fk_user);

alter table sync4j_principal add constraint (foreign 
    key (device) references sync4j_device  constraint 
    fk_device);

alter table sync4j_last_sync add constraint (foreign 
    key (principal) references sync4j_principal  constraint 
    fk_principal);

alter table sync4j_last_sync add constraint (foreign 
    key (sync_source) references sync4j_sync_source  
    constraint fk_source);

alter table sync4j_client_mapping add constraint (foreign 
    key (principal) references sync4j_principal  constraint 
    fk_principal1);

alter table sync4j_client_mapping add constraint (foreign 
    key (sync_source) references sync4j_sync_source  
    constraint fk_source1);
