--
-- This script contains the ddl to create the engine database.
--
-- @author Stefano Fornari @ Funambol
--
-- @version $Id: create_engine.ddl,v 1.6 2003/07/31 20:01:27 stefano_fornari Exp $
--

CREATE TABLE sync4j_principal
(
  username    VARCHAR(32) NOT NULL,
  device      VARCHAR(50) NOT NULL,
  principalid VARCHAR(10) NOT NULL,
  
  CONSTRAINT pk_syncj_principal PRIMARY KEY (principalid)
);



CREATE TABLE sync4j_user
(
  username   VARCHAR(32) NOT NULL,
  email      VARCHAR(50),
  first_name VARCHAR(15),
  last_name  VARCHAR(15),
  
  CONSTRAINT pk_sync4j_user PRIMARY KEY (username)
);



CREATE TABLE sync4j_device
(
  deviceid    VARCHAR(50 ) NOT NULL,
  description VARCHAR(128),
  type        VARCHAR(20 ),
  
  CONSTRAINT pk_sync4j_device PRIMARY KEY (deviceid)
);



CREATE TABLE sync4j_sync_source
(
  uri    VARCHAR(128) NOT NULL,
  config VARCHAR(255) NOT NULL,
  
  CONSTRAINT pk_sync4j_sync_source PRIMARY KEY (uri)
);




CREATE TABLE sync4j_last_sync
(
  principal   VARCHAR(10 ) NOT NULL,
  sync_source VARCHAR(128) NOT NULL,
  last_anchor VARCHAR(20 ),
  start_sync  DATE,
  end_sync    DATE,
  
  CONSTRAINT pk_sync4j_last_sync PRIMARY KEY (principal, sync_source)
);



CREATE TABLE sync4j_client_mapping
(
  principal   VARCHAR(10 ) NOT NULL,
  sync_source VARCHAR(128) NOT NULL,
  luid        VARCHAR(200) NOT NULL,
  guid        VARCHAR(200) NOT NULL,
  
  CONSTRAINT pk_ClientMapping PRIMARY KEY (principal, sync_source, luid, guid)
);



ALTER TABLE sync4j_principal ADD CONSTRAINT fk_user FOREIGN KEY (
  username
)
REFERENCES sync4j_user (
  username
);


ALTER TABLE sync4j_principal ADD CONSTRAINT fk_device FOREIGN KEY (
  device
)
REFERENCES sync4j_device (
  deviceid
);


ALTER TABLE sync4j_last_sync ADD CONSTRAINT fk_principal FOREIGN KEY (
  principal
)
REFERENCES sync4j_principal (
  principalid
);


ALTER TABLE sync4j_last_sync ADD CONSTRAINT fk_source FOREIGN KEY (
  sync_source
)
REFERENCES sync4j_sync_source (
  uri
);


ALTER TABLE sync4j_client_mapping ADD CONSTRAINT fk_principal1 FOREIGN KEY (
  principal
)
REFERENCES sync4j_principal (
  principalid
);


ALTER TABLE sync4j_client_mapping ADD CONSTRAINT fk_source1 FOREIGN KEY (
  sync_source
)
REFERENCES sync4j_sync_source (
  uri
);


